use utf8;
package TestDB::Schema::Result::Album;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

use strict;
use warnings;

use base 'DBIx::Class::Core';
__PACKAGE__->load_components("TimeStamp::TimeMomentX_BOKUTIN");
__PACKAGE__->table("album");
__PACKAGE__->add_columns(
  "id",
  {
    data_type         => "integer",
    is_auto_increment => 1,
    is_nullable       => 0,
    sequence          => "album_id_seq",
  },
  "title",
  { data_type => "text", is_nullable => 1 },
  "release_date_on",
  { data_type => "date", is_nullable => 1 },
  "now_created_at",
  { data_type => "timestamp", is_nullable => 0, set_on_create => 1 },
  "now_updated_at",
  {
    data_type     => "timestamp",
    is_nullable   => 0,
    set_on_create => 1,
    set_on_update => 1,
  },
  "cur_created_at",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 1,
    original      => { default_value => \"now()" },
  },
  "cur_updated_at",
  {
    data_type     => "timestamp",
    default_value => \"current_timestamp",
    is_nullable   => 1,
    original      => { default_value => \"now()" },
  },
  "ref_created_at",
  {
    data_type => "timestamp",
    default_value => \"current_timestamp",
    dynamic_default_on_create => "CURRENT_TIMESTAMP",
    is_nullable => 1,
    original => { default_value => \"now()" },
  },
  "ref_updated_at",
  {
    data_type => "timestamp",
    default_value => \"current_timestamp",
    dynamic_default_on_create => "CURRENT_TIMESTAMP",
    dynamic_default_on_update => "CURRENT_TIMESTAMP",
    is_nullable => 1,
    original => { default_value => \"now()" },
  },
  "db0_pl0_at",
  { data_type => "timestamp", is_nullable => 1 },
  "db1_pl0_at",
  { data_type => "timestamp with time zone", is_nullable => 1 },
  "db0_pl1_at",
  { data_type => "timestamp", is_nullable => 1, timezone => "Asia/Tokyo" },
  "db1_pl1_at",
  {
    data_type   => "timestamp with time zone",
    is_nullable => 1,
    timezone    => "Asia/Tokyo",
  },
);
__PACKAGE__->set_primary_key("id");


# Created by DBIx::Class::Schema::Loader v0.07049 @ 2019-01-21 14:59:56
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:c8vxAJ9ix4wQBs5fP3RRhg

sub CURRENT_TIMESTAMP { \"CURRENT_TIMESTAMP" }

# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
